<?php
/**
 * Repeated value handling overrite
 * @param  array $reset_options
 * @return void
 *
 * @since Moment 1.0.2
 */
if ( ! function_exists( 'salientthemes_customizer_get_repeated_all_value' ) ) :
    function salientthemes_customizer_get_repeated_all_value ( $repeated, $repeated_saved_values_name ) {

        $salientthemes_customizer_get_all_values = salientthemes_customizer_get_all_values( );
        $get_repeated_all_value = array();
        for ( $i = 1; $i <= $repeated; $i++ ){
            foreach( $repeated_saved_values_name as $salientthemes_repeated_saved_value_name ){
                if( isset($salientthemes_customizer_get_all_values[$salientthemes_repeated_saved_value_name.'_'.$i]) ){
                    $get_repeated_all_value[$i][$salientthemes_repeated_saved_value_name] = $salientthemes_customizer_get_all_values[$salientthemes_repeated_saved_value_name.'_'.$i];
                }
            }
        }
        return $get_repeated_all_value;
    }
endif;